Subject: bug#3953: 23.0.94; GPG interaction fails

From: Torsten Bronger <[email-masked]>
Date: Tue, 28 Jul 2009 23:25:20 +0200

Hallöchen!

Daiki Ueno writes:

> [...]
>
>> I experience the same problem but the above patch doesn't really
>> help me.  Without the sleeping time, I get failures with
>> signature checking of incoming emails almost always; with the
>> sleeping time, it works at least in 20% of the cases.  I
>> increased the time to even 10 seconds but the success rate didn't
>> increase further.  The behaviour remains probabilistic.
>
> Thanks for further testing.  Well, in that case an essential part of
> process-filter might not be executed in 20% of the cases.
>
> Does replacing (sleep-for 0.1) with:
>
> (epg--process-filter (epg-context-process context) "")
>
> change the situation?

It has the same effect as (sleep-for 0.1): It helps, but only
slightly.

Tschö,
Torsten.

-- 
Torsten Bronger, aquisgrana, europa vetus
                   Jabber ID: [email-masked]
                                  or http://bronger-jmp.appspot.com